
/*-----------------------------------------------------------------
Table Of Contents
--------------------------------
 1. Global Styles
 2. Loading
 3. Control Bar
 4. Slide Menu
 5. Home
 6. About Me
 7. Services
 8. Resume
 9. Skills
 10. Portfolio
 11. Fun Facts
 12. Testimonials
 13. Blog
 14. Contact
 15. Footer
 16. Scroll To Top
 17. Media Queries
-----------------------------------------------------------------*/
:root{
    --col-yellow: #FFDC25;
    --page-title: #a94442;
    --bg-lightgrey: #e4e3e3;
    --bg-darkgrey: #999999;
    --col-white: #ffffff;
    --txt-black: #333333;
    --bg-grey: #f5f5f5;
}
*{
    box-sizing: border-box;
}

/* --------------------------------------
   1. Global Styles
-----------------------------------------*/

html, body{
    width: 100%;
    margin: 0;
    padding:0;
}

body {
    font-family: 'Open Sans', sans-serif;
    background-color: var(--bg-lightgrey);
}
p{
    font-size: 1.5em;
    line-height: 1.5;
}
@media (max-width: 1100px){
    p{
        font-size: 1.2em;
        line-height: 1.5;
    }
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
    padding: 0;
}
h3{
    font-size: 2em;
    line-height: 1.4;
}

@media (min-width: 1280px) and (max-width: 1360px) {
    h3{
        font-size: 1.8em;
    }
}

@media (min-width: 1200px) and (max-width: 1280px) {
    h3 {
        font-size: 1.6em;
        line-height: 1.3;
    }
}
@media (max-width: 1199px) {
    h3 {
        font-size: 1.4em;
        line-height: 1.3;
    }
}
@media (max-width: 767.98px) {
    h3 {
        font-size: 1.1em;
        margin-bottom: 20px;
    }
}

a,
a:hover,
a:focus,
a:active {
    color: #fff;
    text-decoration: none;
}
section{
    min-height: 100vh;
}
@media (max-width: 1100px){
    section{
        min-height: auto;
    }
}
.page-content{
    padding-left: 250px;
}
.row{
    padding: 0 50px;
    margin: 0;
}
.width60{
    width: 60% !important;
    margin: 0 auto;
}

/*=========== Typography ============*/
.home  h3 {
    font-size: 75px;
    font-weight: 800;
    text-transform: capitalize;
    line-height: 95px;
    font-style: italic;
    font-family: 'Anton', sans-serif;
    letter-spacing: 4px;
    color: #ffffff;
}
.home h3.ywl{
    color: var(--col-yellow);
}

.hr-yellow{
    width: 200px;
    height: 7px;
    background-color: var(--col-yellow);
    margin: 0;
}
.text-italic{
    font-style: italic;
}

/*=========== My Classes ============*/
.fl-ex-col{
    display: flex;
    flex-direction: column;
    width: 100%;
}
.fl-ex-row{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
}
.fl-justify{
    justify-content: flex-start;
    align-items: center;
}

.main-container {
    padding: 0;
}

.main-title {
    text-align: left;
}

.main-title h2 {
    display: inline-block;
    position: relative;
    text-transform: uppercase;
    margin: 0;
    padding-bottom: 25px;
    color: var(--col-yellow);
    font-size: 60px;
    text-align: left;
    font-weight: bolder;
    letter-spacing: 5px;
    margin-top: -10px;
}

.main-btn {
    position: relative;
    display: inline-block;
    min-width: 145px;
    background: transparent;
    color: #fff;
    border: 2px solid var(--col-yellow);
    padding: 14px 0;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 1px;
    text-align: center;
    outline: none;
}

.main-btn:hover {
    background-color: var(--col-yellow);
    color: #fff;
}
p.title-text{
	font-size: 22px;
    margin-top: 20px;
    margin-left: 5px;
    color: #fff;
}

/* --------------------------------------
   2. Loading
-----------------------------------------*/

.preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #313131;
    z-index: 999999;
}

.preloader .loading-inner {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 1px solid transparent;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.preloader .loading-inner:before,
.preloader .loading-inner:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 2px solid var(--col-yellow);
    border-radius: 50%;
    animation: loading 2s linear infinite;
    opacity: 0;
}

.preloader .loading-inner:before {
    animation-delay: .5s;
}

@-webkit-keyframes loading {
    0% {
        -webkit-transform: scale(0);
        -moz-transform: scale(0);
        -ms-transform: scale(0);
        -o-transform: scale(0);
        transform: scale(0);
        opacity: 0;
    }
    
    50% {
        opacity: 1;
    }
    
    100% {
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
        transform: scale(1);
        opacity: 0; 
    }
}

@keyframes loading {
    0% {
        -webkit-transform: scale(0);
        -moz-transform: scale(0);
        -ms-transform: scale(0);
        -o-transform: scale(0);
        transform: scale(0);
        opacity: 0;
    }
    
    50% {
        opacity: 1;
    }
    
    100% {
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
        transform: scale(1);
        opacity: 0; 
    }
}

/* --------------------------------------
   3. Control Bar
-----------------------------------------*/

.control-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #555;
    z-index: 9999;
    padding: 5px 30px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
    border-bottom: 1px solid rgba(255, 255, 255, .1);
    display: none;
}

.control-bar .logo-brand {
    float: left;
    color: #fff;
    font-size: 28px;
    font-weight: 600;
    text-transform: capitalize;
    letter-spacing: 1px;
    line-height: 1;
}
.control-bar .logo-brand p{
    margin: 8px 0;
}

.control-bar .logo-brand span {
    color: var(--col-yellow);
}
.control-bar .logo-brand span {
	font-size: 28px;
}

.control-bar .menu-toggle {
    position: relative;
    float: right;
    background: transparent;
    border: none;
    outline: none;
    margin-top: 22px;
}

.control-bar .menu-toggle .bar {
    display: block;
    width: 28px;
    height: 2px;
    background-color: var(--col-yellow);
}

.control-bar .menu-toggle .bar:first-child {
    width: 14px;
    margin-right: 14px;
}

.control-bar .menu-toggle .bar:nth-child(2) {
    margin: 6px 0;
}

.control-bar .menu-toggle .bar:last-child {
    width: 14px;
    margin-left: 14px;
}

.control-bar .menu-toggle.active {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.control-bar .menu-toggle.active .bar:first-child,
.control-bar .menu-toggle.active .bar:last-child {
    -webkit-transform: rotate(-90deg) translateY(7px);
    -moz-transform: rotate(-90deg) translateY(7px);
    -ms-transform: rotate(-90deg) translateY(7px);
    -o-transform: rotate(-90deg) translateY(7px);
    transform: rotate(-90deg) translateY(7px);
    margin-right: 0;
    margin-left: 0;
}

/* --------------------------------------
   4. Slide Menu
-----------------------------------------*/

.slide-menu {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 250px;
    background-color: #fff;
    z-index: 99999;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
}

.slide-menu.active {
    left: 0;
}

.slide-menu .logo {
    padding: 50px 0 50px 30px;
}

.slide-menu .logo .logo-brand {
    color: #000;
    font-size: 38px;
    font-weight: bolder;
    text-transform: capitalize;
    letter-spacing: 1px;
}

.slide-menu .logo .logo-brand span {
    background: linear-gradient(to bottom, rgb(199 180 16 / 26%) 7%, #d79912 93%);
    -webkit-background-clip: text;
    color: transparent;
    font-size: 38px;
}
.slide-menu .logo .logo-brand p {
    font-size: 23px;
    letter-spacing: 0;
    line-height: 1;
}
.slide-menu .menu-list .menu-links li{
    padding: 11% 0;
}

.slide-menu .menu-list li a {
    position: relative;
    display: inline-block;
    padding: 10px 5px;
    padding-left: 35px;
    font-size: 14px;
    color: #9a9b9c;
    font-weight: 600;
    letter-spacing: .7px;
    text-transform: uppercase;
}

.slide-menu .menu-list li a.active,
.slide-menu .menu-list li a:hover {
    color: #fff;
}

.slide-menu .menu-list li a:after,
.slide-menu .menu-list li a span {
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform:translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: all .3s linear;
    -moz-transition: all .3s linear;
    -o-transition: all .3s linear;
    -ms-transition: all .3s linear;
    transition: all .3s linear;
    opacity: 0;
}

.slide-menu .menu-list li a:after {
    content: '';
    right: 30px;
    height: 2px;
    width: 0;
    background-color: #e5e5e5;
}

.slide-menu .menu-list li a.active:after {
    width: 18px;
    right: -28px;
    opacity: 1;
}

.slide-menu .menu-list li a span {    
    right: 0;
    font-size: 12px;
    font-weight: 800;
    color: var(--bg-darkgrey);
}

.slide-menu .menu-list li a.active span {
    left: 122px;
    opacity: 1;
}

.unit-left-rectangle{
    position: relative;
    width: 50px;
    height: 50px;
    border: 6px solid var(--col-yellow);
}
.unit-left-rectangle .list-index-counter{
    position: absolute;
    top: -8px;
    left: -8px;
    width: 28px;
    height: 26px;
    background-color: #fff;
    z-index: 2;
    color: #000;
    line-height: 20px;
    text-align: center;
    font-size: 16px;
}

.unit-left-rectangle i{
    position: absolute;
    bottom: -8px;
    right: -11px;
    width: 30px;
    height: 30px;
    font-size: 36px;
    z-index: 3;
    color: #000;
}

.unit-left-rectangle  i.lnr-phone-handset{
    font-size: 34px;
    transform: rotate(28deg);
}

.slide-menu .social-media {
    position: relative;
    top: -10px;
    padding: 35px 0 26px 30px;
    margin: 0;

}

.slide-menu .social-media li {
    display: inline-block;
}

.slide-menu .social-media li a {
    background: transparent;
    color: var(--col-yellow);
    display: inline-block;
    width: 32px;
    height: 32px;
    line-height: 32px;
    margin: 0 3px;
    border: 1px solid var(--col-yellow);
    border-radius: 50%;
    text-align: center;
    font-size: 14px;
}

.slide-menu .social-media li a:hover {
    background: var(--col-yellow);
    color: #fff;
    border: 1px solid var(--col-yellow);
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
}

/* --------------------------------------
   5. Home
-----------------------------------------*/

.home {
    position: relative;
}
.home .row{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    height: 100vh;
    background-image: url("../images/back.svg");
    background-position: left top;
    background-repeat: no-repeat;
    background-size: cover;
}
@media (max-width:1100px) {
    .home .row {
        height: auto;
        padding: 100px 0;
    }
}

.home .row .about-image{
    width: 48%;
}

.home #particles-js {
	position: absolute;
	width: 100%;
	height: 100%;
}

.about-image {
    padding: 0 5%;
}
.about-image.fadeInLeft.lft{
    visibility: visible;
    animation-duration: 1.7s;
    animation-name: fadeInLeft;
    padding: 0 0 0 30px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}
.about-image.fadeInRight.rht{
    visibility: visible; animation-duration: 1.7s; animation-name: fadeInRight;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: center;
}
@media only screen and (min-width: 1280px) and (max-width: 1920px) {
    .home h3 {
        font-size: 6.5vh;
    }
    .about-image.fadeInRight.rht {
        padding-left: 0;
        padding-right: 3%;
    }
    .about-image.fadeInRight .photo {
        width: 100%;
    }
}

.home .home-social-icons {
    margin-bottom: 0;
    padding: 14px 0;
}

.home .home-social-icons li {
    display: inline-block;
    margin-right: 10px;
}

.home .home-social-icons li a {
    background: transparent;
    color: #fff;
    display: inline-block;
    width: 32px;
    height: 32px;
    line-height: 28px;
    margin: 0 3px;
    border: 1px solid #fff;
    border-radius: 50%;
    text-align: center;
    font-size: 16px;
}

.home .home-social-icons li a:hover {
    background: var(--col-yellow);
    border: 1px solid var(--col-yellow);
    color: #fff;
}
.home .home-social-icons.info {
    width: auto;
}
.home .home-social-icons.info li{
    width: auto;
    white-space: nowrap;
    padding-right: 30px;
}
.home .home-social-icons.info li i, .home .home-social-icons.info li span{
    display: inline-block;
    color: var(--col-yellow);
    font-size: 24px;
}
.home .home-social-icons.info li span{
    padding-left: 10px;
    color: var(--col-white);
    font-size: 16px;
    font-style: italic;
    font-weight: 600;
}

/* --------------------------------------
   6. About Me
-----------------------------------------*/

.about-me {
    padding-top: 52px;
    padding-bottom: 100px;
    color: #fff;
    background-color: var(--bg-darkgrey);
}

.about-me .main-title h2 {
    color: var(--col-yellow);
}

.about-me .about-info h3 {
    position: relative;
    color: #fff;
    font-weight: 600;
    letter-spacing: .7px;
    padding-bottom: 10px;
    margin-bottom: 25px;
}

.about-me .about-info h3:before {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    height: 1px;
    width: 295px;
    background-color: var(--col-yellow);
}

.about-me .about-info h4 {
    color: #fff;
    font-size: 27px;
    line-height: 1.3;
    font-weight: 600;
    margin-bottom: 25px;
    letter-spacing: .1px;
    text-transform: capitalize;
}

.about-me .about-info p {
    color: #000;
    font-weight: 400;
    margin-bottom: 15px;
    width: 80%;
}

.about-me .about-info .main-btn {
    min-width: 170px;
    margin-right: 20px;
    margin-top: 20px;
}

.about-me .about-info .btn-download {
    background-color: var(--col-yellow);
    border: 2px solid var(--col-yellow);
    color: #000;
}
.award{
    display: inline-block;
    padding: 10px;
}

/* --------------------------------------
   7. Services
-----------------------------------------*/

.services {
    padding-top: 52px;
    padding-bottom: 100px;
    background-color: var(--bg-darkgrey);
}

.services .service {
    margin-top: 25px;
    text-align: center;
    width: 23%;
    margin-right: 2%;
}

.services .service .service-icon {
    position: relative;
    border-top: 2px solid var(--col-yellow);
}
.services .service .service-icon i {
    position: relative;
    top: -21px;
    left: 0;
    z-index: 1;
    background: #fff;
    color: #000;
    width: 45px;
    height: 45px;
    line-height: 45px;
    font-size: 22px;
    border: 1px solid var(--col-yellow);
    border-radius: 50%;
}

.services .service:hover .service-icon i {
    background-color: var(--col-yellow);
    color: var(--col-white);
}

.services .service h3 {
    display: inline-block;
    color: var(--col-white);
    letter-spacing: 1px;
    margin-top: 10px;
    font-weight: 600;
    text-transform: uppercase;
    height: 90px;
}

.services .service p {
    margin-bottom: 0;
    font-weight: 400;
    color: var(--txt-black);
    text-align: left;
    border-top: solid 1px var(--col-yellow);
    border-right: solid 1px var(--col-yellow);
    padding: 5%;
    min-height: 345px;
}
@media (max-width: 1100px){
    .services .service {
        width: 100%;
        margin-right: 0;
    }
    .services .service h3 {
        height: 20px;
        margin-bottom: 10px;
    }
    .services .service p {
        min-height: auto;
        border-right: none;
        padding: 2% 4% 4%;
    }
}

/* --------------------------------------
   9. Skills
-----------------------------------------*/

.skills {
    padding-top: 52px;
    padding-bottom: 70px;
    background-color: var(--bg-lightgrey);
}
.skills .skill-info h3{
    color: var(--txt-black);
    position: relative;
    padding-bottom: 10px;
    margin-bottom: 25px;
}
.skills .skill-info h3:before {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    height: 1px;
    width: 295px;
    background-color: var(--page-title);
}
.skills .main-title h2{
    color: var(--page-title);
}

.skills .skill-item {
    width: 20%;
    margin: 30px 13% 30px 0;
    border-right: var(--bg-darkgrey) solid 1px;
    border-bottom: var(--bg-darkgrey) solid 1px;
    background-color: #f3f3f3;
    position: relative;
}
.skills .skill-item figure{
    margin: 10%;
}
.skills .skill-item h4 {
    color: #555;
    text-align: right;
    text-transform: capitalize;
    letter-spacing: .3px;
    line-height: 0.8;
    white-space: nowrap;
    font-size: 1.5em;
    bottom: -7px;
    right: 15px;
    background-color: var(--bg-grey);
    text-shadow: 0 4px var(--bg-grey);
    font-weight: 700;
    display: inline-block;
    position: absolute;
}

/* --------------------------------------
   10. Portfolio
-----------------------------------------*/

.portfolio {
    padding-top: 52px;
    padding-bottom: 70px;
    background-color: var(--bg-lightgrey);
}

.portfolio .filter-menu {
    margin-bottom: 20px;
}

.portfolio .main-title h2{
    color: var(--page-title);
}

.portfolio .filter-menu .list-filter {
    display: inline-block;
    margin-bottom: 0;
}

.portfolio .list-filter li {
    position: relative;
    display: inline-block;
    margin: 0 0 10px 28px;
    font-weight: 600;
    letter-spacing: 1.5px;
    cursor: pointer;
    color: #777;
    font-size: 1.1em;
    border: 5px solid #c2c0c3;
    height: 30px;
    border-radius: 8px;
}

.portfolio .list-filter li span {
    display: inline-block;
    margin-top: 7px;
    margin-left: -35px;
    margin-right: 20px;
    background-color: var(--bg-lightgrey);
    width: auto;
    height: 20px;
    text-align: left;
    white-space: nowrap;
    z-index: 2;
    padding: 5px 15px;
}

.portfolio .list-filter li.active {
    border-color: var(--page-title);
}

.portfolio .portfolio-content #filtr-container .filtr-item{
    margin: 0;
    padding: 15px 20px 15px 0;
}

.portfolio .portfolio-content #filtr-container .filtr-item .item {
    position: relative;
    overflow: hidden;
    border-left: 1px solid #fff;
    padding: 10px;
    border-bottom: 1px solid rgba(169, 68, 66, 0.7);
    border-right: 1px solid rgba(169, 68, 66, 0.7);
    border-top: 1px solid #fff;
}


.portfolio .portfolio-content .item  .img-responsive {
    display: block;
    max-width: 100%;
    max-height: 205px;
    margin: 0 auto;
}

.marg-v{
    margin: 6.3px auto !important;
}

.portfolio .portfolio-content .item:hover img {
    -webkit-transform: rotate(-10deg) scale(1.3);
    -moz-transform: rotate(-10deg) scale(1.3);
    -o-transform: rotate(-10deg) scale(1.3);
    -ms-transform: rotate(-10deg) scale(1.3);
    transform: rotate(-10deg) scale(1.3);
}

.portfolio .portfolio-content .item:hover .overlay {
    visibility: visible;
    -webkit-transform: perspective(700px) rotate(0deg) scale(1);
    -moz-transform: perspective(700px) rotate(0deg) scale(1);
    -o-transform: perspective(700px) rotate(0deg) scale(1);
    -ms-transform: perspective(700px) rotate(0deg) scale(1);
    transform: perspective(700px) rotate(0deg) scale(1);
    -webkit-transition-duration: .6s;
    -moz-transition-duration: .6s;
    -o-transition-duration: .6s;
    -ms-transition-duration: .6s;
    transition-duration: .6s;
}

.portfolio .portfolio-content .item .overlay { 
    position: absolute;
    top: 0;
    left: 0;
    width: 102%;
    height: 102%;
    visibility: hidden;
    background-color: rgba(50, 50, 50, 0.9);
    -webkit-transform: perspective(700px) rotate(70deg) scale(0);
    -moz-transform: perspective(700px) rotate(70deg) scale(0);
    -o-transform: perspective(700px) rotate(70deg) scale(0);
    -ms-transform: perspective(700px) rotate(70deg) scale(0);
    transform: perspective(700px) rotate(70deg) scale(0);
}

.portfolio .portfolio-content .item .overlay .icon-img {
    position: absolute;
    bottom: 60%;
    left: 50%;
    width: 43px;
    height: 43px;
    line-height: 43px;
    background-color: var(--col-yellow);
    border: 1px solid var(--col-yellow);
    color: #fff;
    font-size: 20px;
    text-align: center;
    border-radius: 50%;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}

.portfolio .portfolio-content .item .overlay .item-title {
    position: absolute;
    bottom: 43%;
    left: 50%;
    display: inline-block;
    color: #fff;
    margin: 0;
    font-size: 16px;
    white-space: nowrap;
    letter-spacing: .5px;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}

.portfolio .portfolio-content .item .overlay .item-category span {
    position: absolute;
    bottom: 30%;
    left: 50%;
    color: var(--col-yellow);
    font-size: 15px;
    white-space: nowrap;
    font-weight: 600;
    letter-spacing: 1px;
    text-transform: capitalize;
    display: inline-block;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}

.portfolio .portfolio-content .item .overlay .item-category a{
    position: absolute;
    display: block;
    text-align: center;
    bottom: 20px;
    width: 100%;
}

.portfolio .portfolio-content .item a.over-box{
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(00, 00, 00, 0.5);
    color: #fff;
    padding-top: 45%;
    text-align: center;
    font-size: 20px;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.portfolio .portfolio-content .item a.over-box:hover {
    opacity: 1;
}

/* --------------------------------------
   13. Blog
-----------------------------------------*/

.blog {
    padding-top: 52px;
    padding-bottom: 70px;
    background-color: var(--bg-darkgrey);
}

.blog .post {
    margin: 30px 30px 30px 0;
    background: #dcdcdc;
    position: relative;
    border-bottom: 3px solid;
    border-image: 1 linear-gradient(to left, #fa9b1b 7%, #a80a1a 93%);
    max-width: 30%;
}

.blog .post:hover .post-img img {
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
    opacity: 1;
}

.blog .post-img {
    overflow: hidden;
    position: relative;
    padding: 6px;
    background: linear-gradient(-50deg, rgba(170, 170, 170, .1) 45%, transparent 25%);
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
}

.blog .post-img img {
    opacity: .6;
}

.blog .post .post-content {
    padding: 20px;
    position: relative;
}

.blog .post .post-content .post-title a{
    display: block;
    height: 50px;
}

.blog .post .post-content .post-title h4 {
    color: #000;
    font-size: 16px;
    font-weight: 600;
    line-height: 1.5;
    letter-spacing: .5px;
    margin: 0 0 5px;
}

.blog .post .post-content .post-title h4:hover {
    color: #a80a1a;
}

.blog .post .post-content .post-info {
    margin-bottom: 0;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--bg-darkgrey);
}

.blog .post .post-content .post-info li {
    display: inline-block;
    font-size: 12px;
    margin-right: 10px;
    color: #000;
}

.blog .post .post-content .post-info li a span {
    color: #000;
}

.blog .post .post-content .post-info li a span:hover {
    color: #a80a1a;
}
.blog .post .post-content .post-text{
    height: 330px;
    overflow: hidden;
    margin-bottom: 20px;
    border-bottom: 2px dotted #bbbbbb;
}

.blog .post .post-content .post-text p {
    font-weight: 400;
    padding-top: 15px;
    padding-bottom: 15px;
    margin: 0;
    border-top: 1px solid #fff;
    color: #000;
    font-size: 1.2em;
}
@media (max-width: 1920px){
    .blog .post .post-content .post-text p {
        font-size: 1em;
    }
}

.blog .post .post-content .post-more {
    display: inline-block;
    color: #fff;
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
}

.blog .post .post-content .post-more:hover {
    color: #a80a1a;
}

.blog .post .post-content .post-more i {
    margin-left: 4px;
}
@media (max-width: 1100px){
    .blog .post {
        margin: 15px 0;
        max-width: 100%;
    }
    .blog .post-img {
        display: none;
    }
    .blog .post .post-content{
        padding: 15px;
    }
    .blog .post .post-content .post-text{
        height: auto;
        margin-bottom: 10px;
    }
}

/* --------------------------------------
   14. Contact
-----------------------------------------*/

.contact {
    padding-top: 52px;
    padding-bottom: 100px;
    background-color: var(--bg-lightgrey);
}

.contact .main-title h2{
    color: var(--page-title);
}

.contact .contact-box {
    margin-top: 20px;
    margin-bottom: 45px;
    text-align: center;
    width: 33%;
}
.contact  .row.mail{
    width: 60%;
    margin: 0 auto;
}
@media (max-width: 1360px){
    .contact  .row.mail{
        width: 100%;
        margin: 0 auto;
        padding: 0;
    }
}

.contact  .row.mail .row{
    padding: 0;
}

.contact .contact-box .title-box .icon-box {
    position: relative;
}

.contact .contact-box .title-box .icon-box:after {
    content: '';
    position: absolute;
    top: 0;
    left: 54%;
    width: 100%;
    height: 2px;
    border-top: 1px solid var(--col-yellow);
    border-bottom: 1px solid var(--col-yellow);
}

.contact .contact-box.three .title-box .icon-box:after {
    content: none;
}

.contact .contact-box .title-box .icon-box i {
    position: relative;
    top: -21px;
    left: 0;
    z-index: 1;
    color: #000;
    width: 45px;
    height: 45px;
    line-height: 45px;
    font-size: 22px;
    border: 1px solid var(--col-yellow);
    border-radius: 50%;
    background: #fff;
}

.contact .contact-box:hover .title-box .icon-box i {
    background-color: var(--col-yellow);
    color: #fff;
}

.contact .contact-box .title-box .name-box h4 {
    display: inline-block;
    color: #000;
    font-size: 15px;
    letter-spacing: 1px;
    margin-bottom: 20px;
    margin-top: 10px;
    font-weight: 600;
    text-transform: uppercase;   
}

.contact .contact-box .content-box {
    font-size: 13px;
}

.contact .contact-box .content-box p {
    margin-bottom: 0;
    color: #c2c0c3;
    font-weight: 700;
    letter-spacing: .3px;
}

.contact .contact-form {
    background: #ddd;
    padding: 30px;
}
.contact .contact-form .row{
    padding:0;
}

.contact .contact-form .form-group {
    position: relative;
    margin-bottom: 40px;
}

.contact .contact-form .form-group .form-control {
    background-color: #ccc;
    color: #000;
    border: 0;
    border-bottom: 1px solid rgba(255, 255, 255, .4);
    outline: none;
    box-shadow: none;
    border-radius: 0;
    height: 46px;
    padding: 12px;
}

.contact .contact-form .form-group textarea.form-control {
    height: 120px;
    resize: none;
    padding-top: 18px;
}

.contact .contact-form .form-group label {
    position: absolute;
    top: 13px;
    left: 12px;
    width: 100%;
    margin-bottom: 0;
    font-weight: 400;
    cursor: text;
    color: #000;
}

.contact .contact-form .form-group .form-control:focus ~ label,
.contact .contact-form .form-group input:not([value=""]) ~ label,
.contact .contact-form .form-group textarea:not([data-value=""]) ~ label {
    top: -16px;
    left: 0;
    font-size: 13px;
    letter-spacing: .5px;
}

.contact .contact-form .form-group .form-control:focus ~ label {
    color: #a80a1a;
}

.contact .contact-form .form-group .input-border {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #a80a1a;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -o-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
}

.contact .contact-form .form-group .form-control:focus ~ .input-border {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -o-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

.contact .contact-form .main-btn {
    min-width: 170px;
    background-color: var(--col-yellow);
    color: #000;
}

/* --------------------------------------
   15. Footer
-----------------------------------------*/

.footer {
    background: var(--bg-darkgrey);
    padding: 35px 10px;
    color: #fff;
    margin-top: 38px;
}

.footer .logo {
    color: #fff;
    font-size: 24px;
    font-weight: 600;
    text-transform: capitalize;
    letter-spacing: 1px;
}

.footer .logo span {
    color: var(--col-yellow);
}

.footer .footer-social-icons {
    margin-bottom: 0;
    padding: 14px 0;
}

.footer .footer-social-icons li {
    display: inline-block;
    margin-right: 10px;
}

.footer .footer-social-icons li a {
    background: transparent;
    color: #fff;
    display: inline-block;
    width: 32px;
    height: 32px;
    line-height: 32px;
    margin: 0 3px;
    border: 1px solid #fff;
    border-radius: 50%;
    text-align: center;
    font-size: 14px;
}

.footer .footer-social-icons li a:hover {
    background: var(--col-yellow);
    border: 1px solid var(--col-yellow);
    color: #fff;
}

.footer .copyright p {
    font-weight: 600;
    letter-spacing: 1px;
    margin: 0;
}

.footer .copyright p a {
    color: var(--col-yellow);
}

/* --------------------------------------
   16. Scroll To Top
-----------------------------------------*/

.scroll-top {
    background: var(--col-yellow);
    position: fixed;
    font-size: 42px;
    bottom: 12px;
    right: 20px;
    width: 45px;
    height: 45px;
    line-height: 40px;
    text-align: center;
    color: #fff;
    border-radius: 50%;
    z-index: 999;
}

.scroll-top.active {
    bottom: 30px;
    right: 30px;
}

/* --------------------------------------
   17. Media Queries
-----------------------------------------*/

/* Extra Large Devices */

@media (min-width: 1280px) and (max-width: 1360px) {

    p {
        font-size: 1em;
        line-height: 1.5;
    }
    .slide-menu .menu-list .menu-links li {
        padding: 7% 0;
    }
    .home h3 {
        font-size: 5vh;
        line-height: 1.3;
    }

    .skills .skill-item{
        width: 31%;
        margin: 20px 15% 30px 0;
    }

    .services .service p {
        height: 60vh;
        text-align: left;
        padding: 5%;
    }

    .portfolio .portfolio-content .item .img-responsive{
        max-height: 280px;
    }
}
@media (min-width: 1200px) and (max-width: 1280px) {
    .slide-menu .menu-list .menu-links li {
        padding: 0;
    }
    .main-title h2 {
        padding-bottom: 15px;
        font-size: 50px;
    }
    .home h3 {
        font-size: 4.5vw;
        line-height: 1.3;
    }
    .about-image.fadeInRight.rht img{
        width: 100%;
    }

    .about-me .about-info p {
        color: #000;
        line-height: 1.5;
        font-weight: 400;
        width: 90%;
        font-size: 1em;
        margin-bottom: 5px;
    }
    .skills .skill-item {
        width: 25%;
        margin: 20px 8% 30px 0;
    }
    .skills .skill-item h4 {
        font-size: 1.2em;
        bottom: -7px;
        right: 9px;
    }
    .contact .contact-box {
        margin-top: 40px;
        margin-bottom: 25px;
        text-align: center;
    }
    .contact-form .row{
        padding: 0;
    }
    .width60 {
        width: 90% !important;
        margin: 0 auto;
    }
    .contact .contact-form .form-group {
        margin-bottom: 20px;
    }
    .contact .contact-box .title-box .name-box h4 {
        margin-bottom: 10px;
    }
}
@media (max-width: 1199px) {
    .row {
        padding: 0 30px;
        margin: 0;
    }
    .slide-menu .menu-list .menu-links li {
        padding: 0;
    }
    .main-title h2 {
        padding-bottom: 15px;
        font-size: 50px;
    }
    .about-me, .skills, .services, .portfolio, .blog, .contact{
        height: auto;
    }
    .about-image.fadeInRight.rht img{
        width: 100%;
    }

    .about-me .about-info p {
        color: #000;
        line-height: 1.5;
        font-weight: 400;
        width: 90%;
        font-size: 1em;
        margin-bottom: 5px;
    }
    .home h3 {
        font-size: 6vw;
        line-height: 1.3;
    }
    .home p.title-text {
        font-size: 18px;
    }
    .skills .skill-item {
        width: 42%;
        margin: 40px 8% 20px 0;
    }
    .skills .skill-item h4 {
        font-size: 1.2em;
        bottom: -7px;
        right: 9px;
    }
    .contact .contact-box {
        margin-top: 20px;
        margin-bottom: 25px;
        text-align: center;
    }
    .contact .contact-form .form-group {
        margin-bottom: 20px;
    }
    .contact .contact-box .title-box .name-box h4 {
        margin-bottom: 10px;
    }
}

/* Medium devices (tablets, less than 992px) */
@media (min-width: 768px) and (max-width: 1024px) {
    .row {
        padding: 0 30px;
        margin: 0;
    }

    .about-me, .skills, .services, .portfolio, .blog, .contact{
       padding-top: 80px;
    }

    .skills .box h4 {
        font-size: 14px;
    }
    
    /*=========== Control Bar ============*/
    .control-bar {
        display: block;
        max-width: 1024px;
    }

    /*=========== Portfolio ============*/
    .portfolio .portfolio-content .row{
        margin: 0;
    }
    .portfolio .portfolio-content .item .img-responsive {
        display: block;
        width: auto;
        max-height: 285px;
        margin: 0 auto;
    }
    .portfolio .filter-menu {
        margin-bottom: 20px;
        margin-left: -8px;
    }
    .portfolio .list-filter li span{
        padding: 5px 7px 5px 10px;
        margin-top: 7px;
        margin-left: -36px;
        margin-right: 10px;
    }
    
    /*=========== About Me ============*/
    .about-me .about-image {
        margin-right: 180px;
        margin-left: 180px;
        margin-bottom: 40px;
    }
    
    .about-me .about-info h3,
    .about-me .about-info h4,
    .about-me .about-info p {
        margin-bottom: 20px;
    }
    
    /*=========== Services ============*/
    .services {
        padding-bottom: 70px;
    }
    
    .services .service {
        margin-top: 25px;
        margin-bottom: 30px;
    }
    
    .services .service.two .service-icon:after {
        content: none;
    }
    
    .services .service h4 {
        margin-top: 0;
    }
    
    /*=========== Resume ============*/
    .resume .education {
        margin-bottom: 30px;
    }
    
    /*=========== Fun Facts ============*/
    .facts  {
        padding-bottom: 70px;
    }
    
    .facts .fact-item {
        margin-bottom: 30px;
    }
    
    .facts .fact-item.two .fact-icon:after {
        content: none;
    }
    
    .facts .fact-item h4 {
        margin-top: 0;
    }

    /*=========== Blog ============*/
    .blog .post {
        margin-left: 0;
        margin-right: 0;
    }
    
    /*=========== Contact ============*/
    .contact .contact-box .title-box .name-box h4 {
        margin-top: 0;
    }
}

@media (max-width: 1024px) {
    .page-content {
        padding-left: 0;
    }
    .main-title {
        margin-bottom: 20px;
        margin-top: 20px;
    }

    /*=========== Slide Menu ============*/
    .slide-menu {
        top: -100%;
        left: auto;
        right: 0;
        bottom: auto;
        width: 0;
        height:0;

    }
    .slide-menu.active {
        right: 0;
        top:78px;
        left: auto;
        bottom: auto;
        width: 320px;
        height: 265px;
        border-radius: 0 0 150px 150px;

    }
    .slide-menu .logo{
        display: none;
    }
    .menu-list .fl-ex{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: flex-start;
        opacity: 0;
    }
    .slide-menu.active .menu-list .fl-ex{
        margin: 10px auto;
        opacity: 1;
        transition: 1s ease-in-out;

    }
    .menu-list .fl-ex li a{
        padding: 10px 16px;
    }
    .menu-list .fl-ex li a span,
    .menu-list .fl-ex li a:after{
        display: none;
    }
    .portfolio .list-filter li {
        letter-spacing: 0;
    }
    .portfolio .list-filter li span {
        padding: 5px 10px 5px 15px;
    }
}

/* Small Devices */
@media (max-width: 767.98px) {

    .home, .about-me, .skills, .services, .portfolio, .blog, .contact {
        min-height: 100vh;
    }
    .main-title h2 {
        font-size: 42px;
        width: 100%;
    }
    
    /*=========== Control Bar ============*/
    .control-bar {
        display: block;
    }
    
    /*=========== Home ============*/
    .home .row {
        flex-direction: column;
        padding-bottom: 80px;
        padding-top: 90px;
        min-height: 100vh;
        height: auto;
    }
    .home .row .about-image {
        width: 76%;
        padding:0 0 30px 0;
    }
    .about-image.fadeInRight.rht {
        margin-left: -10px;
    }

    /*=========== About Me ============*/
    .about-me {
        padding-top: 80px;
        padding-bottom: 80px;
    }
    .about-me .about-image {
        margin-right: 80px;
        margin-left: 80px;
        margin-bottom: 35px;
    }

    .about-me .about-info h4 {
        font-size: 24px;
        margin-bottom: 20px;
    }
    .about-me .about-info p {
        margin-bottom: 20px;
        text-align: justify;
        width: 100%;
    }

    /*=========== Services ============*/
    .services {
        padding-top: 80px;
        padding-bottom: 50px;
    }
    .services .service {
        margin-bottom: 30px;
        margin-top: 50px;
    }
    .services .service.one {
        margin-top: 25px;
    }
    .services .service .service-icon:after {
        content: none;
    }
    .services .service h4 {
        margin-top: 0;
    }
    
    /*=========== Resume ============*/
    .resume {
        padding-top: 80px;
        padding-bottom: 80px;
    }
    .resume .education {
        margin-bottom: 30px;
    }

    /*=========== Skills ============*/
    .skills {
        padding-top: 80px;
        padding-bottom: 50px;
    }
    
    /*=========== Portfolio ============*/
    .portfolio {
        padding-top: 80px;
        padding-bottom: 50px;
    }
    .portfolio  .main-title {
        margin-bottom: 0;
    }
    .portfolio .portfolio-content .item {
        margin-left: 20px;
        margin-right: 20px;
    }

    /*=========== Blog ============*/
    .blog {
        padding-top: 80px;
        padding-bottom: 50px;
    }
    .blog .post {
        margin-bottom: 30px;
    }
    
    /*=========== Contact ============*/
    .contact {
        padding-top: 80px;
        padding-bottom: 80px;
    }
    .contact .contact-box {
        margin-bottom: 30px;
        margin-top: 50px;
    }
    .contact .contact-box.one, .contact .contact-box.two, .contact .contact-box.three  {
        margin-top: 25px;
    }
    .contact .contact-box .title-box .icon-box:after {
        content: none;
    }
    .contact .contact-box .title-box .name-box h4 {
        margin-top: 0;
    }
}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
    .control-bar {
        padding: 5px 20px;
    }
    .main-container {
        padding-right: 0;
        padding-left: 0;
    }
    .main-container .row {
        padding-right: 20px;
        padding-left: 20px;
    }

    .about-image.fadeInRight.rht{
        display: none;
    }
    /*============Home==================*/
    .home h3 {
        font-size: 9vw;
        line-height: 1.3;
    }

    
    /*=========== About Me ============*/
    .about-me {
        padding-bottom: 65px;
    }
    
    .about-me .about-image {
        margin: 0;
        margin-bottom: 30px;
    }
    
    .about-me .about-info h4 {
        font-size: 20px;
    }
    
    .about-me .about-info .main-btn {
        min-width: 145px;
        margin-right: 10px;
        margin-bottom: 15px;
        font-size: 13px;
    }
    
    /*=========== Services ============*/
    .services .service h4 {
        font-size: 14px;
    }

    /*=========== Resume ============*/
    .resume .resume-item .resume-date {
        font-size: 14px;
    }
    
    .resume .resume-item h4 {
        font-size: 15px;
    }

    /*=========== Portfolio ============*/
    .portfolio .list-filter li {
        font-size: 13px;
    }
    
    .portfolio .portfolio-content .item {
        margin-left: 0;
        margin-right: 0;
    }
    .portfolio .portfolio-content .item .img-responsive {
        max-height: 175px;
    }
    
    /*=========== Blog ============*/
    .blog .post .post-content .post-title h4 {
        font-size: 15px;
    }
    
    /*=========== Contact ============*/
    .contact .contact-form .main-btn {
        min-width: 150px;
        font-size: 13px;
    }
    
}
